#ifndef _REMOVEPOLYGONTOOL_H_
#define _REMOVEPOLYGONTOOL_H_

#include <gdk/gdkevents.h>
#include <cairomm/context.h>

#include "Tool.h"
#include "Vertex.h"

class PolyDraw;

class RemovePolygonTool : public Tool
{
public:
	RemovePolygonTool(PolyDraw *pd);
	~RemovePolygonTool();

	bool on_mouse_down(GdkEventButton *event);
	bool on_mouse_up(GdkEventButton *event);
	bool on_mouse_move(GdkEventMotion *event);

	bool redraw(Cairo::RefPtr<Cairo::Context>& cr);

private:
	bool down;
	bool removePolygonAtPoint(const Vertex& point) const;
};

#endif